Get_Iconified(special file)

NAME
Get_Iconified — get a tool's iconic state

SYNOPSIS

Get_Iconified(out boolean iconic
        [in messageID commission]);

DESCRIPTION

The Get_Iconified request reports the iconic state of the optionally specified window, or of the window primarily associated with the handling procid (if no window is specified).

The iconic argument is a Boolean value indicating whether the specified window is (to be) iconified.

The commission argument is the ID of the ongoing request, if any, that resulted in the creation of the window(s) in question.

APPLICATION USAGE

The ttdt_session_join(3), and ttdt_message_accept(3), functions can be used by Xt applications to register for, and transparently process, the Get_Iconified request.

SEE ALSO

ttdt_message_accept(3), ttdt_session_join(3); Set_Iconified request.